
-- add foreign key for s_articles prefix
DROP TABLE IF EXISTS s_articles_attributes_new;
DROP TABLE IF EXISTS s_articles_attributes_backup;

-- Copy structure and data to new table, this does _not_ copy the foreign keys, that's exactly what we want
CREATE TABLE s_articles_attributes_new LIKE s_articles_attributes;
INSERT INTO s_articles_attributes_new SELECT * FROM s_articles_attributes;

RENAME TABLE s_articles_attributes TO s_articles_attributes_backup, s_articles_attributes_new TO s_articles_attributes;

-- Add missing foreign key
ALTER TABLE `s_articles_attributes` ADD FOREIGN KEY ( `articleID` ) REFERENCES `s_articles` (
        `id`
) ON DELETE CASCADE ON UPDATE NO ACTION ;


ALTER TABLE `s_articles_attributes` ADD FOREIGN KEY ( `articledetailsID` ) REFERENCES `s_articles_details` (
        `id`
) ON DELETE CASCADE ON UPDATE NO ACTION ;

DROP TABLE s_articles_attributes_backup;




-- add foreign key for s_articles_downloads prefix
DROP TABLE IF EXISTS s_articles_downloads_attributes_new;
DROP TABLE IF EXISTS s_articles_downloads_attributes_backup;

-- Copy structure and data to new table, this does _not_ copy the foreign keys, that's exactly what we want
CREATE TABLE s_articles_downloads_attributes_new LIKE s_articles_downloads_attributes;
INSERT INTO s_articles_downloads_attributes_new SELECT * FROM s_articles_downloads_attributes;

RENAME TABLE s_articles_downloads_attributes TO s_articles_downloads_attributes_backup, s_articles_downloads_attributes_new TO s_articles_downloads_attributes;

-- Add missing foreign key
ALTER TABLE `s_articles_downloads_attributes` ADD FOREIGN KEY ( `downloadID` ) REFERENCES `s_articles_downloads` (
        `id`
) ON DELETE CASCADE ON UPDATE NO ACTION ;

DROP TABLE s_articles_downloads_attributes_backup;




-- add foreign key for s_articles_esd prefix
DROP TABLE IF EXISTS s_articles_esd_attributes_new;
DROP TABLE IF EXISTS s_articles_esd_attributes_backup;

-- Copy structure and data to new table, this does _not_ copy the foreign keys, that's exactly what we want
CREATE TABLE s_articles_esd_attributes_new LIKE s_articles_esd_attributes;
INSERT INTO s_articles_esd_attributes_new SELECT * FROM s_articles_esd_attributes;

RENAME TABLE s_articles_esd_attributes TO s_articles_esd_attributes_backup, s_articles_esd_attributes_new TO s_articles_esd_attributes;

-- Add missing foreign key
ALTER TABLE `s_articles_esd_attributes` ADD FOREIGN KEY ( `esdID` ) REFERENCES `s_articles_esd` (
        `id`
) ON DELETE CASCADE ON UPDATE NO ACTION ;

DROP TABLE s_articles_esd_attributes_backup;






-- add foreign key for s_articles_img prefix
DROP TABLE IF EXISTS s_articles_img_attributes_new;
DROP TABLE IF EXISTS s_articles_img_attributes_backup;

-- Copy structure and data to new table, this does _not_ copy the foreign keys, that's exactly what we want
CREATE TABLE s_articles_img_attributes_new LIKE s_articles_img_attributes;
INSERT INTO s_articles_img_attributes_new SELECT * FROM s_articles_img_attributes;

RENAME TABLE s_articles_img_attributes TO s_articles_img_attributes_backup, s_articles_img_attributes_new TO s_articles_img_attributes;

-- Add missing foreign key
ALTER TABLE `s_articles_img_attributes` ADD FOREIGN KEY ( `imageID` ) REFERENCES `s_articles_img` (
        `id`
) ON DELETE CASCADE ON UPDATE NO ACTION ;

DROP TABLE s_articles_img_attributes_backup;





-- add foreign key for s_articles_information prefix
DROP TABLE IF EXISTS s_articles_information_attributes_new;
DROP TABLE IF EXISTS s_articles_information_attributes_backup;

-- Copy structure and data to new table, this does _not_ copy the foreign keys, that's exactly what we want
CREATE TABLE s_articles_information_attributes_new LIKE s_articles_information_attributes;
INSERT INTO s_articles_information_attributes_new SELECT * FROM s_articles_information_attributes;

RENAME TABLE s_articles_information_attributes TO s_articles_information_attributes_backup, s_articles_information_attributes_new TO s_articles_information_attributes;

-- Add missing foreign key
ALTER TABLE `s_articles_information_attributes` ADD FOREIGN KEY ( `informationID` ) REFERENCES `s_articles_information` (
        `id`
) ON DELETE CASCADE ON UPDATE NO ACTION ;

DROP TABLE s_articles_information_attributes_backup;




-- add foreign key for s_articles_prices prefix
DROP TABLE IF EXISTS s_articles_prices_attributes_new;
DROP TABLE IF EXISTS s_articles_prices_attributes_backup;

-- Copy structure and data to new table, this does _not_ copy the foreign keys, that's exactly what we want
CREATE TABLE s_articles_prices_attributes_new LIKE s_articles_prices_attributes;
INSERT INTO s_articles_prices_attributes_new SELECT * FROM s_articles_prices_attributes;

RENAME TABLE s_articles_prices_attributes TO s_articles_prices_attributes_backup, s_articles_prices_attributes_new TO s_articles_prices_attributes;

-- Add missing foreign key
ALTER TABLE `s_articles_prices_attributes` ADD FOREIGN KEY ( `priceID` ) REFERENCES `s_articles_prices` (
        `id`
) ON DELETE CASCADE ON UPDATE NO ACTION ;

DROP TABLE s_articles_prices_attributes_backup;






-- add foreign key for s_articles_supplier prefix
DROP TABLE IF EXISTS s_articles_supplier_attributes_new;
DROP TABLE IF EXISTS s_articles_supplier_attributes_backup;

-- Copy structure and data to new table, this does _not_ copy the foreign keys, that's exactly what we want
CREATE TABLE s_articles_supplier_attributes_new LIKE s_articles_supplier_attributes;
INSERT INTO s_articles_supplier_attributes_new SELECT * FROM s_articles_supplier_attributes;

RENAME TABLE s_articles_supplier_attributes TO s_articles_supplier_attributes_backup, s_articles_supplier_attributes_new TO s_articles_supplier_attributes;

-- Add missing foreign key
ALTER TABLE `s_articles_supplier_attributes` ADD FOREIGN KEY ( `supplierID` ) REFERENCES `s_articles_supplier` (
        `id`
) ON DELETE CASCADE ON UPDATE NO ACTION ;

DROP TABLE s_articles_supplier_attributes_backup;




-- add foreign key for s_article_configurator_templates prefix
DROP TABLE IF EXISTS s_article_configurator_templates_attributes_new;
DROP TABLE IF EXISTS s_article_configurator_templates_attributes_backup;

-- Copy structure and data to new table, this does _not_ copy the foreign keys, that's exactly what we want
CREATE TABLE s_article_configurator_templates_attributes_new LIKE s_article_configurator_templates_attributes;
INSERT INTO s_article_configurator_templates_attributes_new SELECT * FROM s_article_configurator_templates_attributes;

RENAME TABLE s_article_configurator_templates_attributes TO s_article_configurator_templates_attributes_backup, s_article_configurator_templates_attributes_new TO s_article_configurator_templates_attributes;

-- Add missing foreign key
ALTER TABLE `s_article_configurator_templates_attributes` ADD FOREIGN KEY ( `template_id` ) REFERENCES `s_article_configurator_templates` (
        `id`
) ON DELETE CASCADE ON UPDATE NO ACTION ;

DROP TABLE s_article_configurator_templates_attributes_backup;






-- add foreign key for s_article_configurator_template_prices prefix
DROP TABLE IF EXISTS s_article_configurator_template_prices_attributes_new;
DROP TABLE IF EXISTS s_article_configurator_template_prices_attributes_backup;

-- Copy structure and data to new table, this does _not_ copy the foreign keys, that's exactly what we want
CREATE TABLE s_article_configurator_template_prices_attributes_new LIKE s_article_configurator_template_prices_attributes;
INSERT INTO s_article_configurator_template_prices_attributes_new SELECT * FROM s_article_configurator_template_prices_attributes;

RENAME TABLE s_article_configurator_template_prices_attributes TO s_article_configurator_template_prices_attributes_backup, s_article_configurator_template_prices_attributes_new TO s_article_configurator_template_prices_attributes;

-- Add missing foreign key
ALTER TABLE `s_article_configurator_template_prices_attributes` ADD FOREIGN KEY ( `template_price_id` ) REFERENCES `s_article_configurator_template_prices` (
        `id`
) ON DELETE CASCADE ON UPDATE NO ACTION ;

DROP TABLE s_article_configurator_template_prices_attributes_backup;



-- add foreign key for s_blog prefix
DROP TABLE IF EXISTS s_blog_attributes_new;
DROP TABLE IF EXISTS s_blog_attributes_backup;

-- Copy structure and data to new table, this does _not_ copy the foreign keys, that's exactly what we want
CREATE TABLE s_blog_attributes_new LIKE s_blog_attributes;
INSERT INTO s_blog_attributes_new SELECT * FROM s_blog_attributes;

RENAME TABLE s_blog_attributes TO s_blog_attributes_backup, s_blog_attributes_new TO s_blog_attributes;

-- Add missing foreign key
ALTER TABLE `s_blog_attributes` ADD FOREIGN KEY ( `blog_id` ) REFERENCES `s_blog` (
        `id`
) ON DELETE CASCADE ON UPDATE NO ACTION ;

DROP TABLE s_blog_attributes_backup;




-- add foreign key for s_categories prefix
DROP TABLE IF EXISTS s_categories_attributes_new;
DROP TABLE IF EXISTS s_categories_attributes_backup;

-- Copy structure and data to new table, this does _not_ copy the foreign keys, that's exactly what we want
CREATE TABLE s_categories_attributes_new LIKE s_categories_attributes;
INSERT INTO s_categories_attributes_new SELECT * FROM s_categories_attributes;

RENAME TABLE s_categories_attributes TO s_categories_attributes_backup, s_categories_attributes_new TO s_categories_attributes;

-- Add missing foreign key
ALTER TABLE `s_categories_attributes` ADD FOREIGN KEY ( `categoryID` ) REFERENCES `s_categories` (
        `id`
) ON DELETE CASCADE ON UPDATE NO ACTION ;

DROP TABLE s_categories_attributes_backup;




-- add foreign key for s_cms_static prefix
DROP TABLE IF EXISTS s_cms_static_attributes_new;
DROP TABLE IF EXISTS s_cms_static_attributes_backup;

-- Copy structure and data to new table, this does _not_ copy the foreign keys, that's exactly what we want
CREATE TABLE s_cms_static_attributes_new LIKE s_cms_static_attributes;
INSERT INTO s_cms_static_attributes_new SELECT * FROM s_cms_static_attributes;

RENAME TABLE s_cms_static_attributes TO s_cms_static_attributes_backup, s_cms_static_attributes_new TO s_cms_static_attributes;

-- Add missing foreign key
ALTER TABLE `s_cms_static_attributes` ADD FOREIGN KEY ( `cmsStaticID` ) REFERENCES `s_cms_static` (
        `id`
) ON DELETE CASCADE ON UPDATE NO ACTION ;

DROP TABLE s_cms_static_attributes_backup;




-- add foreign key for s_cms_support prefix
DROP TABLE IF EXISTS s_cms_support_attributes_new;
DROP TABLE IF EXISTS s_cms_support_attributes_backup;

-- Copy structure and data to new table, this does _not_ copy the foreign keys, that's exactly what we want
CREATE TABLE s_cms_support_attributes_new LIKE s_cms_support_attributes;
INSERT INTO s_cms_support_attributes_new SELECT * FROM s_cms_support_attributes;

RENAME TABLE s_cms_support_attributes TO s_cms_support_attributes_backup, s_cms_support_attributes_new TO s_cms_support_attributes;

-- Add missing foreign key
ALTER TABLE `s_cms_support_attributes` ADD FOREIGN KEY ( `cmsSupportID` ) REFERENCES `s_cms_support` (
        `id`
) ON DELETE CASCADE ON UPDATE NO ACTION ;

DROP TABLE s_cms_support_attributes_backup;





-- add foreign key for s_core_auth prefix
DROP TABLE IF EXISTS s_core_auth_attributes_new;
DROP TABLE IF EXISTS s_core_auth_attributes_backup;

-- Copy structure and data to new table, this does _not_ copy the foreign keys, that's exactly what we want
CREATE TABLE s_core_auth_attributes_new LIKE s_core_auth_attributes;
INSERT INTO s_core_auth_attributes_new SELECT * FROM s_core_auth_attributes;

RENAME TABLE s_core_auth_attributes TO s_core_auth_attributes_backup, s_core_auth_attributes_new TO s_core_auth_attributes;

-- Add missing foreign key
ALTER TABLE `s_core_auth_attributes` ADD FOREIGN KEY ( `authID` ) REFERENCES `s_core_auth` (
        `id`
) ON DELETE CASCADE ON UPDATE NO ACTION ;

DROP TABLE s_core_auth_attributes_backup;



-- add foreign key for s_core_config_mails prefix
DROP TABLE IF EXISTS s_core_config_mails_attributes_new;
DROP TABLE IF EXISTS s_core_config_mails_attributes_backup;

-- Copy structure and data to new table, this does _not_ copy the foreign keys, that's exactly what we want
CREATE TABLE s_core_config_mails_attributes_new LIKE s_core_config_mails_attributes;
INSERT INTO s_core_config_mails_attributes_new SELECT * FROM s_core_config_mails_attributes;

RENAME TABLE s_core_config_mails_attributes TO s_core_config_mails_attributes_backup, s_core_config_mails_attributes_new TO s_core_config_mails_attributes;

-- Add missing foreign key
ALTER TABLE `s_core_config_mails_attributes` ADD FOREIGN KEY ( `mailID` ) REFERENCES `s_core_config_mails` (
        `id`
) ON DELETE CASCADE ON UPDATE NO ACTION ;

DROP TABLE s_core_config_mails_attributes_backup;




-- add foreign key for s_core_countries prefix
DROP TABLE IF EXISTS s_core_countries_attributes_new;
DROP TABLE IF EXISTS s_core_countries_attributes_backup;

-- Copy structure and data to new table, this does _not_ copy the foreign keys, that's exactly what we want
CREATE TABLE s_core_countries_attributes_new LIKE s_core_countries_attributes;
INSERT INTO s_core_countries_attributes_new SELECT * FROM s_core_countries_attributes;

RENAME TABLE s_core_countries_attributes TO s_core_countries_attributes_backup, s_core_countries_attributes_new TO s_core_countries_attributes;

-- Add missing foreign key
ALTER TABLE `s_core_countries_attributes` ADD FOREIGN KEY ( `countryID` ) REFERENCES `s_core_countries` (
        `id`
) ON DELETE CASCADE ON UPDATE NO ACTION ;

DROP TABLE s_core_countries_attributes_backup;





-- add foreign key for s_core_countries_states prefix
DROP TABLE IF EXISTS s_core_countries_states_attributes_new;
DROP TABLE IF EXISTS s_core_countries_states_attributes_backup;

-- Copy structure and data to new table, this does _not_ copy the foreign keys, that's exactly what we want
CREATE TABLE s_core_countries_states_attributes_new LIKE s_core_countries_states_attributes;
INSERT INTO s_core_countries_states_attributes_new SELECT * FROM s_core_countries_states_attributes;

RENAME TABLE s_core_countries_states_attributes TO s_core_countries_states_attributes_backup, s_core_countries_states_attributes_new TO s_core_countries_states_attributes;

-- Add missing foreign key
ALTER TABLE `s_core_countries_states_attributes` ADD FOREIGN KEY ( `stateID` ) REFERENCES `s_core_countries_states` (
        `id`
) ON DELETE CASCADE ON UPDATE NO ACTION ;

DROP TABLE s_core_countries_states_attributes_backup;




-- add foreign key for s_core_customergroups prefix
DROP TABLE IF EXISTS s_core_customergroups_attributes_new;
DROP TABLE IF EXISTS s_core_customergroups_attributes_backup;

-- Copy structure and data to new table, this does _not_ copy the foreign keys, that's exactly what we want
CREATE TABLE s_core_customergroups_attributes_new LIKE s_core_customergroups_attributes;
INSERT INTO s_core_customergroups_attributes_new SELECT * FROM s_core_customergroups_attributes;

RENAME TABLE s_core_customergroups_attributes TO s_core_customergroups_attributes_backup, s_core_customergroups_attributes_new TO s_core_customergroups_attributes;

-- Add missing foreign key
ALTER TABLE `s_core_customergroups_attributes` ADD FOREIGN KEY ( `customerGroupID` ) REFERENCES `s_core_customergroups` (
        `id`
) ON DELETE CASCADE ON UPDATE NO ACTION ;

DROP TABLE s_core_customergroups_attributes_backup;





-- add foreign key for s_core_paymentmeans prefix
DROP TABLE IF EXISTS s_core_paymentmeans_attributes_new;
DROP TABLE IF EXISTS s_core_paymentmeans_attributes_backup;

-- Copy structure and data to new table, this does _not_ copy the foreign keys, that's exactly what we want
CREATE TABLE s_core_paymentmeans_attributes_new LIKE s_core_paymentmeans_attributes;
INSERT INTO s_core_paymentmeans_attributes_new SELECT * FROM s_core_paymentmeans_attributes;

RENAME TABLE s_core_paymentmeans_attributes TO s_core_paymentmeans_attributes_backup, s_core_paymentmeans_attributes_new TO s_core_paymentmeans_attributes;

-- Add missing foreign key
ALTER TABLE `s_core_paymentmeans_attributes` ADD FOREIGN KEY ( `paymentmeanID` ) REFERENCES `s_core_paymentmeans` (
        `id`
) ON DELETE CASCADE ON UPDATE NO ACTION ;

DROP TABLE s_core_paymentmeans_attributes_backup;




-- add foreign key for s_emarketing_banners prefix
DROP TABLE IF EXISTS s_emarketing_banners_attributes_new;
DROP TABLE IF EXISTS s_emarketing_banners_attributes_backup;

-- Copy structure and data to new table, this does _not_ copy the foreign keys, that's exactly what we want
CREATE TABLE s_emarketing_banners_attributes_new LIKE s_emarketing_banners_attributes;
INSERT INTO s_emarketing_banners_attributes_new SELECT * FROM s_emarketing_banners_attributes;

RENAME TABLE s_emarketing_banners_attributes TO s_emarketing_banners_attributes_backup, s_emarketing_banners_attributes_new TO s_emarketing_banners_attributes;

-- Add missing foreign key
ALTER TABLE `s_emarketing_banners_attributes` ADD FOREIGN KEY ( `bannerID` ) REFERENCES `s_emarketing_banners` (
        `id`
) ON DELETE CASCADE ON UPDATE NO ACTION ;

DROP TABLE s_emarketing_banners_attributes_backup;




-- add foreign key for s_emarketing_vouchers prefix
DROP TABLE IF EXISTS s_emarketing_vouchers_attributes_new;
DROP TABLE IF EXISTS s_emarketing_vouchers_attributes_backup;

-- Copy structure and data to new table, this does _not_ copy the foreign keys, that's exactly what we want
CREATE TABLE s_emarketing_vouchers_attributes_new LIKE s_emarketing_vouchers_attributes;
INSERT INTO s_emarketing_vouchers_attributes_new SELECT * FROM s_emarketing_vouchers_attributes;

RENAME TABLE s_emarketing_vouchers_attributes TO s_emarketing_vouchers_attributes_backup, s_emarketing_vouchers_attributes_new TO s_emarketing_vouchers_attributes;

-- Add missing foreign key
ALTER TABLE `s_emarketing_vouchers_attributes` ADD FOREIGN KEY ( `voucherID` ) REFERENCES `s_emarketing_vouchers` (
        `id`
) ON DELETE CASCADE ON UPDATE NO ACTION ;

DROP TABLE s_emarketing_vouchers_attributes_backup;




-- add foreign key for s_emotion prefix
DROP TABLE IF EXISTS s_emotion_attributes_new;
DROP TABLE IF EXISTS s_emotion_attributes_backup;

-- Copy structure and data to new table, this does _not_ copy the foreign keys, that's exactly what we want
CREATE TABLE s_emotion_attributes_new LIKE s_emotion_attributes;
INSERT INTO s_emotion_attributes_new SELECT * FROM s_emotion_attributes;

RENAME TABLE s_emotion_attributes TO s_emotion_attributes_backup, s_emotion_attributes_new TO s_emotion_attributes;

-- Add missing foreign key
ALTER TABLE `s_emotion_attributes` ADD FOREIGN KEY ( `emotionID` ) REFERENCES `s_emotion` (
        `id`
) ON DELETE CASCADE ON UPDATE NO ACTION ;

DROP TABLE s_emotion_attributes_backup;




-- add foreign key for s_export prefix
DROP TABLE IF EXISTS s_export_attributes_new;
DROP TABLE IF EXISTS s_export_attributes_backup;

-- Copy structure and data to new table, this does _not_ copy the foreign keys, that's exactly what we want
CREATE TABLE s_export_attributes_new LIKE s_export_attributes;
INSERT INTO s_export_attributes_new SELECT * FROM s_export_attributes;

RENAME TABLE s_export_attributes TO s_export_attributes_backup, s_export_attributes_new TO s_export_attributes;

-- Add missing foreign key
ALTER TABLE `s_export_attributes` ADD FOREIGN KEY ( `exportID` ) REFERENCES `s_export` (
        `id`
) ON DELETE CASCADE ON UPDATE NO ACTION ;

DROP TABLE s_export_attributes_backup;





-- add foreign key for s_filter prefix
DROP TABLE IF EXISTS s_filter_attributes_new;
DROP TABLE IF EXISTS s_filter_attributes_backup;

-- Copy structure and data to new table, this does _not_ copy the foreign keys, that's exactly what we want
CREATE TABLE s_filter_attributes_new LIKE s_filter_attributes;
INSERT INTO s_filter_attributes_new SELECT * FROM s_filter_attributes;

RENAME TABLE s_filter_attributes TO s_filter_attributes_backup, s_filter_attributes_new TO s_filter_attributes;

-- Add missing foreign key
ALTER TABLE `s_filter_attributes` ADD FOREIGN KEY ( `filterID` ) REFERENCES `s_filter` (
        `id`
) ON DELETE CASCADE ON UPDATE NO ACTION ;

DROP TABLE s_filter_attributes_backup;





-- add foreign key for s_media prefix
DROP TABLE IF EXISTS s_media_attributes_new;
DROP TABLE IF EXISTS s_media_attributes_backup;

-- Copy structure and data to new table, this does _not_ copy the foreign keys, that's exactly what we want
CREATE TABLE s_media_attributes_new LIKE s_media_attributes;
INSERT INTO s_media_attributes_new SELECT * FROM s_media_attributes;

RENAME TABLE s_media_attributes TO s_media_attributes_backup, s_media_attributes_new TO s_media_attributes;

-- Add missing foreign key
ALTER TABLE `s_media_attributes` ADD FOREIGN KEY ( `mediaID` ) REFERENCES `s_media` (
        `id`
) ON DELETE CASCADE ON UPDATE NO ACTION ;

DROP TABLE s_media_attributes_backup;





-- add foreign key for s_order prefix
DROP TABLE IF EXISTS s_order_attributes_new;
DROP TABLE IF EXISTS s_order_attributes_backup;

-- Copy structure and data to new table, this does _not_ copy the foreign keys, that's exactly what we want
CREATE TABLE s_order_attributes_new LIKE s_order_attributes;
INSERT INTO s_order_attributes_new SELECT * FROM s_order_attributes;

RENAME TABLE s_order_attributes TO s_order_attributes_backup, s_order_attributes_new TO s_order_attributes;

-- Add missing foreign key
ALTER TABLE `s_order_attributes` ADD FOREIGN KEY ( `orderID` ) REFERENCES `s_order` (
        `id`
) ON DELETE CASCADE ON UPDATE NO ACTION ;

DROP TABLE s_order_attributes_backup;




-- add foreign key for s_order_basket prefix
DROP TABLE IF EXISTS s_order_basket_attributes_new;
DROP TABLE IF EXISTS s_order_basket_attributes_backup;

-- Copy structure and data to new table, this does _not_ copy the foreign keys, that's exactly what we want
CREATE TABLE s_order_basket_attributes_new LIKE s_order_basket_attributes;
INSERT INTO s_order_basket_attributes_new SELECT * FROM s_order_basket_attributes;

RENAME TABLE s_order_basket_attributes TO s_order_basket_attributes_backup, s_order_basket_attributes_new TO s_order_basket_attributes;

-- Add missing foreign key
ALTER TABLE `s_order_basket_attributes` ADD FOREIGN KEY ( `basketID` ) REFERENCES `s_order_basket` (
        `id`
) ON DELETE CASCADE ON UPDATE NO ACTION ;

DROP TABLE s_order_basket_attributes_backup;






-- add foreign key for s_order_billingaddress prefix
DROP TABLE IF EXISTS s_order_billingaddress_attributes_new;
DROP TABLE IF EXISTS s_order_billingaddress_attributes_backup;

-- Copy structure and data to new table, this does _not_ copy the foreign keys, that's exactly what we want
CREATE TABLE s_order_billingaddress_attributes_new LIKE s_order_billingaddress_attributes;
INSERT INTO s_order_billingaddress_attributes_new SELECT * FROM s_order_billingaddress_attributes;

RENAME TABLE s_order_billingaddress_attributes TO s_order_billingaddress_attributes_backup, s_order_billingaddress_attributes_new TO s_order_billingaddress_attributes;

-- Add missing foreign key
ALTER TABLE `s_order_billingaddress_attributes` ADD FOREIGN KEY ( `billingID` ) REFERENCES `s_order_billingaddress` (
        `id`
) ON DELETE CASCADE ON UPDATE NO ACTION ;

DROP TABLE s_order_billingaddress_attributes_backup;






-- add foreign key for s_order_details prefix
DROP TABLE IF EXISTS s_order_details_attributes_new;
DROP TABLE IF EXISTS s_order_details_attributes_backup;

-- Copy structure and data to new table, this does _not_ copy the foreign keys, that's exactly what we want
CREATE TABLE s_order_details_attributes_new LIKE s_order_details_attributes;
INSERT INTO s_order_details_attributes_new SELECT * FROM s_order_details_attributes;

RENAME TABLE s_order_details_attributes TO s_order_details_attributes_backup, s_order_details_attributes_new TO s_order_details_attributes;

-- Add missing foreign key
ALTER TABLE `s_order_details_attributes` ADD FOREIGN KEY ( `detailID` ) REFERENCES `s_order_details` (
        `id`
) ON DELETE CASCADE ON UPDATE NO ACTION ;

DROP TABLE s_order_details_attributes_backup;





-- add foreign key for s_order_documents prefix
DROP TABLE IF EXISTS s_order_documents_attributes_new;
DROP TABLE IF EXISTS s_order_documents_attributes_backup;

-- Copy structure and data to new table, this does _not_ copy the foreign keys, that's exactly what we want
CREATE TABLE s_order_documents_attributes_new LIKE s_order_documents_attributes;
INSERT INTO s_order_documents_attributes_new SELECT * FROM s_order_documents_attributes;

RENAME TABLE s_order_documents_attributes TO s_order_documents_attributes_backup, s_order_documents_attributes_new TO s_order_documents_attributes;

-- Add missing foreign key
ALTER TABLE `s_order_documents_attributes` ADD FOREIGN KEY ( `documentID` ) REFERENCES `s_order_documents` (
        `id`
) ON DELETE CASCADE ON UPDATE NO ACTION ;

DROP TABLE s_order_documents_attributes_backup;





-- add foreign key for s_order_shippingaddress prefix
DROP TABLE IF EXISTS s_order_shippingaddress_attributes_new;
DROP TABLE IF EXISTS s_order_shippingaddress_attributes_backup;

-- Copy structure and data to new table, this does _not_ copy the foreign keys, that's exactly what we want
CREATE TABLE s_order_shippingaddress_attributes_new LIKE s_order_shippingaddress_attributes;
INSERT INTO s_order_shippingaddress_attributes_new SELECT * FROM s_order_shippingaddress_attributes;

RENAME TABLE s_order_shippingaddress_attributes TO s_order_shippingaddress_attributes_backup, s_order_shippingaddress_attributes_new TO s_order_shippingaddress_attributes;

-- Add missing foreign key
ALTER TABLE `s_order_shippingaddress_attributes` ADD FOREIGN KEY ( `shippingID` ) REFERENCES `s_order_shippingaddress` (
        `id`
) ON DELETE CASCADE ON UPDATE NO ACTION ;

DROP TABLE s_order_shippingaddress_attributes_backup;




-- add foreign key for s_premium_dispatch prefix
DROP TABLE IF EXISTS s_premium_dispatch_attributes_new;
DROP TABLE IF EXISTS s_premium_dispatch_attributes_backup;

-- Copy structure and data to new table, this does _not_ copy the foreign keys, that's exactly what we want
CREATE TABLE s_premium_dispatch_attributes_new LIKE s_premium_dispatch_attributes;
INSERT INTO s_premium_dispatch_attributes_new SELECT * FROM s_premium_dispatch_attributes;

RENAME TABLE s_premium_dispatch_attributes TO s_premium_dispatch_attributes_backup, s_premium_dispatch_attributes_new TO s_premium_dispatch_attributes;

-- Add missing foreign key
ALTER TABLE `s_premium_dispatch_attributes` ADD FOREIGN KEY ( `dispatchID` ) REFERENCES `s_premium_dispatch` (
        `id`
) ON DELETE CASCADE ON UPDATE NO ACTION ;

DROP TABLE s_premium_dispatch_attributes_backup;




-- add foreign key for s_user prefix
DROP TABLE IF EXISTS s_user_attributes_new;
DROP TABLE IF EXISTS s_user_attributes_backup;

-- Copy structure and data to new table, this does _not_ copy the foreign keys, that's exactly what we want
CREATE TABLE s_user_attributes_new LIKE s_user_attributes;
INSERT INTO s_user_attributes_new SELECT * FROM s_user_attributes;

RENAME TABLE s_user_attributes TO s_user_attributes_backup, s_user_attributes_new TO s_user_attributes;

-- Add missing foreign key
ALTER TABLE `s_user_attributes` ADD FOREIGN KEY ( `userID` ) REFERENCES `s_user` (
        `id`
) ON DELETE CASCADE ON UPDATE NO ACTION ;

DROP TABLE s_user_attributes_backup;




-- add foreign key for s_user_billingaddress prefix
DROP TABLE IF EXISTS s_user_billingaddress_attributes_new;
DROP TABLE IF EXISTS s_user_billingaddress_attributes_backup;

-- Copy structure and data to new table, this does _not_ copy the foreign keys, that's exactly what we want
CREATE TABLE s_user_billingaddress_attributes_new LIKE s_user_billingaddress_attributes;
INSERT INTO s_user_billingaddress_attributes_new SELECT * FROM s_user_billingaddress_attributes;

RENAME TABLE s_user_billingaddress_attributes TO s_user_billingaddress_attributes_backup, s_user_billingaddress_attributes_new TO s_user_billingaddress_attributes;

-- Add missing foreign key
ALTER TABLE `s_user_billingaddress_attributes` ADD FOREIGN KEY ( `billingID` ) REFERENCES `s_user_billingaddress` (
        `id`
) ON DELETE CASCADE ON UPDATE NO ACTION ;

DROP TABLE s_user_billingaddress_attributes_backup;




-- add foreign key for s_user_shippingaddress prefix
DROP TABLE IF EXISTS s_user_shippingaddress_attributes_new;
DROP TABLE IF EXISTS s_user_shippingaddress_attributes_backup;

-- Copy structure and data to new table, this does _not_ copy the foreign keys, that's exactly what we want
CREATE TABLE s_user_shippingaddress_attributes_new LIKE s_user_shippingaddress_attributes;
INSERT INTO s_user_shippingaddress_attributes_new SELECT * FROM s_user_shippingaddress_attributes;

RENAME TABLE s_user_shippingaddress_attributes TO s_user_shippingaddress_attributes_backup, s_user_shippingaddress_attributes_new TO s_user_shippingaddress_attributes;

-- Add missing foreign key
ALTER TABLE `s_user_shippingaddress_attributes` ADD FOREIGN KEY ( `shippingID` ) REFERENCES `s_user_shippingaddress` (
        `id`
) ON DELETE CASCADE ON UPDATE NO ACTION ;

DROP TABLE s_user_shippingaddress_attributes_backup;









